## Rpm

### Description

A basic task for invoking the rpm executable to build a Linux installation file. The task currently only works on Linux or other Unix platforms with rpm support.

### Parameters

Attribute | Description | Required
specFile | The name of the spec File to be used. | Yes
topDir | this is the directory which will have the expected subdirectories, SPECS, SOURCES, BUILD, SRPMS. If this isn't specified, the baseDir value is used | No
cleanBuildDir | This will remove the generated files in the BUILD directory. | No
removeSpec | this will remove the spec file from SPECS | No
removeSource | Flag (optional, default=false) to remove the sources after the build. See the the `--rmsource` option of rpmbuild. | No
command | very similar idea to the cvs task. the default is "-bb" | No
output/error | where standard output and error go | No

Copyright © 2001-2002 Apache Software Foundation. All rights Reserved.